bridge.list_communities
Purpose
Liste toutes les communautés (community), paginées. Retourne une liste de communautés allégée (lite).
Valeurs prises en charge pour sort :
ranknewsubs
Paramètres : last:string (facultatif, vide par défaut) ; limit:int (facultatif, 100 par défaut, max 100) ; query:string (facultatif, recherche en texte intégral sur le titre et la description) ; sort:string (facultatif, rank par défaut) ; observer:string (facultatif)
Voir aussi : bridge.get_community
Parameters
PARAMETERS
json
{
"last": "",
"limit": 2,
"query": null,
"sort": "rank",
"observer": null
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "bridge.list_communities",
"params": {
"last": "",
"limit": 2,
"query": null,
"sort": "rank",
"observer": null
},
"id": 1
}'Response
RESPONSE
json
[
{
"about": "শুধুমাত্র বাংলায় যাঁরা ব্লগিং করেন তাঁদের জন্য এই ব্লগ",
"admins": [
"blacks",
"hafizullah",
"shuvo35",
"moh.arif",
"rex-sumon",
"rme",
"winkles",
"nusuranur",
"swagata21"
],
"avatar_url": "",
"context": {},
"created_at": "2021-06-11 09:36:21",
"id": 1549301,
"is_nsfw": false,
"lang": "en",
"name": "hive-129948",
"num_authors": 69,
"num_pending": 287,
"subscribers": 9688,
"sum_pending": 6886,
"title": "আমার বাংলা ব্লগ",
"type_id": 1
},
{
"about": "United Steemit Community",
"admins": [
"blacks",
"rme",
"nusuranur"
],
"avatar_url": "",
"context": {},
"created_at": "2022-10-02 16:30:15",
"id": 1751564,
"is_nsfw": false,
"lang": "en",
"name": "hive-150122",
"num_authors": 29,
"num_pending": 74,
"subscribers": 4837,
"sum_pending": 2052,
"title": "Steem Alliance",
"type_id": 1
}
]
Note: response examples are captured at documentation-build time and may drift as chain state changes.